# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/conda-build-3.21.8-python_3.9-on-linux_64, last modified Tue Mar 29 21:03:06 2022
# ------------------------------------------------

package:
  name: conda-build
  version: 3.21.8
source:
  sha256: 0031aff4a34e66340f90428051d480c6c456c89e267f78cf5987126bee68ca5b
  url: https://github.com/conda/conda-build/releases/download/3.21.8/conda-build-3.21.8.tar.gz
build:
  entry_points:
    - conda-build = conda_build.cli.main_build:main
    - conda-convert = conda_build.cli.main_convert:main
    - conda-debug = conda_build.cli.main_debug:main
    - conda-develop = conda_build.cli.main_develop:main
    - conda-index = conda_build.cli.main_index:main
    - conda-inspect = conda_build.cli.main_inspect:main
    - conda-metapackage = conda_build.cli.main_metapackage:main
    - conda-render = conda_build.cli.main_render:main
    - conda-skeleton = conda_build.cli.main_skeleton:main
  number: '2'
  string: py39h06a4308_2
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2022.3.18 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - colorama 0.4.4 pyhd3eb1b0_0
    - conda-package-handling 1.8.0 py39h7f8727e_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1n h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.11 h12debd9_2
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tqdm 4.63.0 pyhd3eb1b0_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - beautifulsoup4
    - chardet
    - conda >=4.5
    - conda-package-handling >=1.3
    - filelock
    - glob2 >=0.6
    - jinja2
    - patchelf
    - pkginfo
    - psutil
    - py-lief
    - python >=3.9,<3.10.0a0
    - python-libarchive-c
    - pytz
    - pyyaml
    - requests
    - ripgrep
    - setuptools
    - six
    - tqdm
  run_constrained:
    - conda-verify >=3.1.0
test:
  commands:
    - type -P conda-build
    - conda-build -h
    - type -P conda-convert
    - conda-convert -h
    - type -P conda-develop
    - type -P conda-debug
    - conda-develop -h
    - type -P conda-index
    - conda-index -h
    - type -P conda-inspect
    - conda-inspect linkages -h \| grep "--name ENVIRONMENT"
    - conda-inspect -h
    - type -P conda-metapackage
    - conda-metapackage -h
    - type -P conda-render
    - conda-render -h
    - type -P conda-skeleton
    - conda-skeleton -h
    - python test_bdist_conda_setup.py bdist_conda --help
  files:
    - test_bdist_conda_setup.py
  imports:
    - conda_build
    - conda_build.api
    - conda_build.cli.main_build
    - conda_build.cli.main_render
about:
  description: 'Conda-build contains commands and tools to allow you to build your
    own

    packages for conda.

    '
  dev_url: https://github.com/conda/conda-build
  doc_url: https://docs.conda.io/projects/conda-build/en/latest/
  home: https://github.com/conda/conda-build
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: tools for building conda packages
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - CJ-Wright
    - chenghlee
    - jakirkham
    - jezdez
    - jjhelmus
    - msarahan
    - mwcraig
    - ocefpaf
    - patricksnape
    - pelson
    - scopatz
    - stuertz
